gtk-dlls-20000215.zip contains some outdated, buggy dlls.  It must be 
supplemented with some newer dlls. 

http://user.sgic.fi/~tml/gimp/win32/downloads.html

Search the mail list for GTK.  Others have had the same problem.
Good Luck..

On Thursday 28 June 2001 04:20, you wrote:
> Hello,
>
> I'd like to try gtk with ruby but I always get the following error:
>
> C:\usr\ruby\doc\ruby\gtk-0.24\sample\helloworld.rb:8:in `require':
> dlopen: Win3 error 126 -
> /cygdrive/c/usr/ruby/lib/ruby/site_ruby/1.6/i386-cygwin/gtk.so (Loa
> dError)
>         from C:\usr\ruby\doc\ruby\gtk-0.24\sample\helloworld.rb:8
>
>
> I have downloaded ruby from
> http://dev.rubycentral.com/downloads/files/ruby164-1.exe
> and gtk dlls from http://jarh.hoops.livedoor.com/gtk/gtk-dlls-20000215.zip
> dlls are in path. System is Windows 2000 Pro.
>
> Can onyone help?
>
> Regards
> Tom